Bug 732231 - [abrt] system-config-services-0.101.3-1.fc15: system-config-services:1060:_xinetd_reload:AttributeError: 'SystemDService' object has no attribute 'reload'
Summary: [abrt] system-config-services-0.101.3-1.fc15: system-config-services:1060:_xi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-services
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:581ce763f61e5db0142600ba64e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 06:44 UTC by bruno.leveder
Modified: 2011-09-10 00:26 UTC (History)
1 user (show)

Fixed In Version: system-config-services-0.101.7-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-10 00:26:56 UTC


Attachments (Terms of Use)

Description bruno.leveder 2011-08-21 06:44:32 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python /usr/bin/system-config-services
comment:        problem appear during activation swat service
component:      system-config-services
executable:     /usr/bin/system-config-services
kernel:         2.6.40.3-0.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        system-config-services-0.101.3-1.fc15
reason:         system-config-services:1060:_xinetd_reload:AttributeError: 'SystemDService' object has no attribute 'reload'
time:           Sun Aug 21 08:43:09 2011
uid:            500
username:       bruno

backtrace:
:system-config-services:1060:_xinetd_reload:AttributeError: 'SystemDService' object has no attribute 'reload'
:
:Traceback (most recent call last):
:  File "/usr/bin/system-config-services", line 1067, in on_serviceEnable_activate
:    self._xinetd_reload(service)
:  File "/usr/bin/system-config-services", line 1060, in _xinetd_reload
:    xinetd_service.reload()
:AttributeError: 'SystemDService' object has no attribute 'reload'
:
:Local variables in innermost frame:
:self: <__main__.MainWindow object at 0x9ddcfec>
:xinetd_service: <SystemDService object at 0x9fd543c (GObject at 0x9f6d170) 'xinetd.service'>
:service: <scservices.dbus.proxy.services.DBusXinetdServiceProxy object at 9e5448c: swat>

Comment 1 Nils Philippsen 2011-08-22 10:05:27 UTC
commit 187f5e2acae8aa42b74f82235097e8c46c145fc7
Author:     Nils Philippsen <nils@redhat.com>
AuthorDate: Mon Aug 22 11:30:40 2011 +0200
Commit:     Nils Philippsen <nils@redhat.com>
CommitDate: Mon Aug 22 11:30:40 2011 +0200

    use systemd manager interface to reload xinetd (#732231)

Comment 2 Fedora Update System 2011-08-22 10:18:34 UTC
system-config-services-0.101.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-services-0.101.4-1.fc15

Comment 3 Fedora Update System 2011-08-22 10:27:43 UTC
system-config-services-0.101.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/system-config-services-0.101.4-1.fc16

Comment 4 Nils Philippsen 2011-08-22 10:52:54 UTC
Uh oh:

commit 5f7a118bfcb2a47b02cb45007e80be252f72bc9e
Author:     Nils Philippsen <nils@redhat.com>
AuthorDate: Mon Aug 22 12:50:31 2011 +0200
Commit:     Nils Philippsen <nils@redhat.com>
CommitDate: Mon Aug 22 12:50:31 2011 +0200

    implement Reload/ReloadOrRestart interfaces (#732231)

Comment 5 Nils Philippsen 2011-08-22 11:36:20 UTC
Hm.

commit 98c987aafa1955e3ee63b63b1c081c8699458b1b
Author:     Nils Philippsen <nils@redhat.com>
AuthorDate: Mon Aug 22 13:31:44 2011 +0200
Commit:     Nils Philippsen <nils@redhat.com>
CommitDate: Mon Aug 22 13:31:44 2011 +0200

    implement Reload/ReloadOrRestart dbus interfaces (#732231)

Comment 6 Nils Philippsen 2011-08-22 12:14:23 UTC
Version 0.101.6 worked for me. If you want to test it before the testing update hits the mirrors, here are the current update links:

F-15: https://admin.fedoraproject.org/updates/system-config-services-0.101.6-1.fc15
F-16: https://admin.fedoraproject.org/updates/system-config-services-0.101.6-1.fc16

Comment 7 Fedora Update System 2011-08-23 04:39:55 UTC
Package system-config-services-0.101.6-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-services-0.101.6-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-services-0.101.6-1.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-09 16:59:19 UTC
system-config-services-0.101.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-09-10 00:26:52 UTC
system-config-services-0.101.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.